# Class SimpleServerAuthConfig

java.lang.Object
org.apache.catalina.authenticator.jaspic.SimpleServerAuthConfig

All Implemented Interfaces:
  `AuthConfig, ServerAuthConfig`

public class SimpleServerAuthConfig extends Object implements ServerAuthConfig
Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module. This implementation supports configuring the `ServerAuthContext` with multiple modules.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleServerAuthConfig(String layer, String appContext, CallbackHandler handler, Map<String,Object> properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ServerAuthContext`
  `createServerAuthContext(List<ServerAuthModule> modules)`
  `String`
  `getAppContext()`
  `ServerAuthContext`
  `getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties)`
  `String`
  `getAuthContextID(MessageInfo messageInfo)`
  `String`
  `getMessageLayer()`
  `boolean`
  `isProtected()`
  `void`
  `refresh()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleServerAuthConfig

    public SimpleServerAuthConfig(String layer, String appContext, CallbackHandler handler, Map<String,Object> properties)

- ## Method Details

  - ### getMessageLayer

    public String getMessageLayer()
    Specified by:
      `getMessageLayer` in interface `AuthConfig`

  - ### getAppContext

    public String getAppContext()
    Specified by:
      `getAppContext` in interface `AuthConfig`

  - ### getAuthContextID

    public String getAuthContextID(MessageInfo messageInfo)
    Specified by:
      `getAuthContextID` in interface `AuthConfig`

  - ### refresh

    public void refresh()
    Specified by:
      `refresh` in interface `AuthConfig`

  - ### isProtected

    public boolean isProtected()
    Specified by:
      `isProtected` in interface `AuthConfig`

  - ### getAuthContext

    public ServerAuthContext getAuthContext(String authContextID, Subject serviceSubject, Map<String,Object> properties) throws AuthException
    Specified by:
      `getAuthContext` in interface `ServerAuthConfig`
    Throws:
      `AuthException`

  - ### createServerAuthContext

    protected ServerAuthContext createServerAuthContext(List<ServerAuthModule> modules)